Bug 192475 - Review Request: perl-PadWalker - Play with other peoples' lexical variables
Review Request: perl-PadWalker - Play with other peoples' lexical variables
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-19 17:24 EDT by Jose Pedro Oliveira
Modified: 2011-03-30 13:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 17:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-19 17:24:35 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-PadWalker.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-PadWalker-1.0-1.src.rpm

Description:
PadWalker is a module which allows you to inspect (and even change!)
lexical variables in any subroutine which called you. It will only
show those variables which are in scope at the point of the call.

Note:
This is a new requirement of perl-Devel-Cycle 1.05
Comment 1 Jason Tibbitts 2006-05-20 16:42:53 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   05d684ce2f17ef4f058ec2e912b5f95c  PadWalker-1.0.tar.gz
   05d684ce2f17ef4f058ec2e912b5f95c  PadWalker-1.0.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   PadWalker.so()(64bit)
   perl(PadWalker) = 1.0
   perl-PadWalker = 1.0-1.fc6
  -
   libc.so.6()(64bit)
   libc.so.6(GLIBC_2.2.5)(64bit)
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.8.8)
   perl(DynaLoader)
   perl(Exporter)
   perl(strict)
   perl(vars)
   rpmlib(CompressedFileNames) <= 3.0.4-1
   rpmlib(PayloadFilesHavePrefix) <= 4.0-1
   rpmlib(VersionedDependencies) <= 3.0.3-1
* shared libraries are present, but internal to Perl so no need to call ldconfig.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=9, Tests=65,  0 wallclock secs ( 0.11 cusr +  0.07 csys =  0.18 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-22 17:37:31 EDT
Thanks for the review.

Impoted and built for FC-5 and devel.
Comment 3 Iain Arnell 2010-07-17 02:57:09 EDT
Package Change Request
======================
Package Name: perl-PadWalker
New Branches: EL-6
Owners: iarnell
InitialCC: perl-sig rmyers steve

Current EL-5 maintainer hasn't responded to EL-6 branch request in bug #612583
Comment 4 Kevin Fenzi 2010-07-19 00:23:19 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Paul Howarth 2011-03-04 06:10:53 EST
I'd like to see an EPEL-4 branch for this too; I'm happy to maintain it if none of the existing branch maintainers want to do so.
Comment 6 Ralf Corsepius 2011-03-04 07:54:50 EST
... and I'd like to see PadWalker upgraded to 1.92 for f13 and f14 ;)
Comment 7 Paul Howarth 2011-03-15 05:27:16 EDT
Package Change Request
======================
Package Name: perl-PadWalker
New Branches: EL-4
Owners: pghmcfc
InitialCC: perl-sig rmyers steve iarnell

No response to EPEL-4 branch request so I'll maintain it myself; existing maintainers on InitialCC list and they're welcome as co-maintainers of course.
Comment 8 Jason Tibbitts 2011-03-15 10:50:25 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-03-15 11:14:52 EDT
perl-PadWalker-1.2-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-PadWalker-1.2-1.el4
Comment 10 Fedora Update System 2011-03-30 13:34:06 EDT
perl-PadWalker-1.2-1.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.